/*
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 1, or (at your option)
** any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*
 * Author : Alexandre Parenteau <aubonbeurre@geocities.com> --- December 1997
 */

// GraphFrm.cpp : implementation of the CGraphFrame class
//

#include "stdafx.h"
#include "wincvs.h"

#include "GraphFrm.h"
#include "GraphView.h"
#include "WinCvsView.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CGraphFrame

IMPLEMENT_DYNCREATE(CGraphFrame, CMDIChildWnd)

BEGIN_MESSAGE_MAP(CGraphFrame, CMDIChildWnd)
	//{{AFX_MSG_MAP(CGraphFrame)
		// NOTE - the ClassWizard will add and remove mapping macros here.
		//    DO NOT EDIT what you see in these blocks of generated code !
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CGraphFrame construction/destruction

CGraphFrame::CGraphFrame()
{
	// TODO: add member initialization code here
	
}

CGraphFrame::~CGraphFrame()
{
}

BOOL CGraphFrame::OnCreateClient(LPCREATESTRUCT s,
	 CCreateContext* pContext)
{
	MDIRestore();

	// create a splitter with 2 row, 1 columns
	if (!m_wndSplitter.CreateStatic(this, 2, 1))
	{
		TRACE0("Failed to CreateStaticSplitter\n");
		return FALSE;
	}

	// add the first splitter pane - the default view in column 0
	if (!m_wndSplitter.CreateView(0, 0,
		RUNTIME_CLASS(CGraphView), CSize(130, 300), pContext))
	{
		TRACE0("Failed to create first pane\n");
		return FALSE;
	}

	// add the first splitter pane - the default view in column 0
	if (!m_wndSplitter.CreateView(1, 0,
		RUNTIME_CLASS(CWincvsView), CSize(0, 0), pContext))
	{
		TRACE0("Failed to create first pane\n");
		return FALSE;
	}

	// activate the graph view
	SetActiveView((CView*)m_wndSplitter.GetPane(0,0));

	return TRUE; //CMDIChildWnd::OnCreateClient(s, pContext);
}

BOOL CGraphFrame::PreCreateWindow(CREATESTRUCT& cs)
{
//    cs.style |= WS_MAXIMIZE; 
	return CMDIChildWnd::PreCreateWindow(cs);
}

/////////////////////////////////////////////////////////////////////////////
// CGraphFrame diagnostics

#ifdef _DEBUG
void CGraphFrame::AssertValid() const
{
	CMDIChildWnd::AssertValid();
}

void CGraphFrame::Dump(CDumpContext& dc) const
{
	CMDIChildWnd::Dump(dc);
}

#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CGraphFrame message handlers
